Foreman - Bug #16144

Ul raises "can't be blank” when we click on "Load datacenter" while adding vmware
compute-resource

08/17/2016 06:32 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Tomas Strachota
Category: Compute resources - VMware
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1228185 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3797
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1228185

Description of problem:

Ul raises "can't be blank" when we click on "Load datacenter" while adding vmware compute-resource. Datacenter is populated with
correct name, but Ul still raises "can't be blank". Please see screenshot

Version—-Release number of selected component (if applicable):
sat6.1 GA snapb6

How reproducible:
always

Steps to Reproduce:

1. add vmware compute-resource
2o

S8

Actual results:

Expected results:

Additional info:

Related issues:
Related to Foreman - Bug #12451: In vmware the "Load Datacenters" button dis... New 11/12/2015

Associated revisions

Revision dc5ecc16 - 09/01/2016 07:20 AM - Tomas Strachota

Fixes #16144 - vmWare datacenter error in connection test

History

#1 - 08/17/2016 06:33 AM - Ondfej Prazak
- File datacenters-validation.png added

- Subject changed from Ul raises "can't be blank" when we click on "Load datacenter" while adding vmware compute-resource
to Ul raises "can't be blank" when we click on "Load datacenter" while adding vmware compute-resource

- Target version set to 115

#2 - 08/18/2016 08:27 AM - Marek Hulan
- Assignee set to Tomas Strachota

- Target version changed from 115 to 1.6.0
https://bugzilla.redhat.com/show_bug.cgi?id=1228185

#3 - 08/18/2016 09:55 AM - Ondfej Prazak

- Related to Bug #12451: In vmware the "Load Datacenters" button disappeared after click on it. added

#4 - 08/30/2016 11:17 AM - Tomas Strachota

- Status changed from New to Assigned

#5 - 08/30/2016 11:19 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3797 added

#6 - 09/01/2016 07:22 AM - Marek Hulan

- translation missing: en.field_release set to 160

#7 - 09/01/2016 08:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset dcbecc162e81d3c264980e37f9e9167e3e923254.
